###################################################
### chunk number 1: 
###################################################
#line 71 "d:/Rcompile/CRANpkg/local/2.12/cgdsr/inst/doc/cgdsr.Rnw"
library(cgdsr)
# Create CGDS object
mycgds = CGDS("http://www.cbioportal.org/public-portal/")


###################################################
### chunk number 2: 
###################################################
#line 83 "d:/Rcompile/CRANpkg/local/2.12/cgdsr/inst/doc/cgdsr.Rnw"
# Test the CGDS endpoint URL using a few simple API tests
test(mycgds) 


###################################################
### chunk number 3: 
###################################################
#line 93 "d:/Rcompile/CRANpkg/local/2.12/cgdsr/inst/doc/cgdsr.Rnw"
# Get list of cancer studies at server
getCancerStudies(mycgds)[,c(1,2)]


###################################################
### chunk number 4: 
###################################################
#line 110 "d:/Rcompile/CRANpkg/local/2.12/cgdsr/inst/doc/cgdsr.Rnw"
getGeneticProfiles(mycgds,'tcga_gbm')[,c(1:2)]


###################################################
### chunk number 5: 
###################################################
#line 129 "d:/Rcompile/CRANpkg/local/2.12/cgdsr/inst/doc/cgdsr.Rnw"
getCaseLists(mycgds,'tcga_gbm')[,c(1:2)]


###################################################
### chunk number 6: 
###################################################
#line 147 "d:/Rcompile/CRANpkg/local/2.12/cgdsr/inst/doc/cgdsr.Rnw"
getProfileData(mycgds, "NF1", c("gbm_cna_rae","gbm_mrna"), "gbm_all")[c(1:5),]


###################################################
### chunk number 7: 
###################################################
#line 154 "d:/Rcompile/CRANpkg/local/2.12/cgdsr/inst/doc/cgdsr.Rnw"
getProfileData(mycgds, c("MDM2","MDM4"), "gbm_mrna", "gbm_all")[c(1:5),]


###################################################
### chunk number 8: 
###################################################
#line 188 "d:/Rcompile/CRANpkg/local/2.12/cgdsr/inst/doc/cgdsr.Rnw"
getClinicalData(mycgds, "ova_all")[c(1:5),]


###################################################
### chunk number 9: NF1plot1
###################################################
#line 204 "d:/Rcompile/CRANpkg/local/2.12/cgdsr/inst/doc/cgdsr.Rnw"
df = getProfileData(mycgds, "NF1", c("gbm_cna_rae","gbm_mrna"), "gbm_all")
head(df)
boxplot(df[,2] ~ df[,1], main="NF1 : CNA status vs mRNA expression", xlab="CNA status", ylab="mRNA expression", outpch = NA)
stripchart(df[,2] ~ df[,1], vertical=T, add=T, method="jitter",pch=1,col='red')


###################################################
### chunk number 10: NF1plot2
###################################################
#line 216 "d:/Rcompile/CRANpkg/local/2.12/cgdsr/inst/doc/cgdsr.Rnw"
plot(mycgds, "tcga_gbm", "NF1", c("gbm_cna_rae","gbm_mrna"), "gbm_all", skin = 'disc_cont')


###################################################
### chunk number 11: MDM2plot1
###################################################
#line 228 "d:/Rcompile/CRANpkg/local/2.12/cgdsr/inst/doc/cgdsr.Rnw"
df = getProfileData(mycgds, c("MDM2","MDM4"), "gbm_mrna", "gbm_all")
head(df)
plot(df, main="MDM2 and MDM4 mRNA expression", xlab="MDM2 mRNA expression", ylab="MDM4 mRNA expression")


###################################################
### chunk number 12: MDMplot2
###################################################
#line 239 "d:/Rcompile/CRANpkg/local/2.12/cgdsr/inst/doc/cgdsr.Rnw"
plot(mycgds, "tcga_gbm", c("MDM2","MDM4"), "gbm_mrna" ,"gbm_all")


###################################################
### chunk number 13: PTENplot
###################################################
#line 251 "d:/Rcompile/CRANpkg/local/2.12/cgdsr/inst/doc/cgdsr.Rnw"
df.pri = getProfileData(mycgds, "PTEN", "pca_mrna", "pca_primary")
head(df.pri)
df.met = getProfileData(mycgds, "PTEN", "pca_mrna", "pca_mets")
head(df.met)
boxplot(list(t(df.pri),t(df.met)), main="PTEN expression in primary and metastatic tumors", xlab="Tumor type", ylab="PTEN mRNA expression",names=c('primary','metastatic'), outpch = NA)
stripchart(list(t(df.pri),t(df.met)), vertical=T, add=T, method="jitter",pch=1,col='red')


